<?php
// создаем массив с данными
$data = array();
for( $i=0; $i<10; $i++ )
{
    $data[] = sin(pi()/5*$i);
}

// подключаем класс со вспомогательными функциями
// для построения графика
include_once( 'open-flash-chart.php' );
$g = new graph();

// Заголовок
$g->title( 'Функция синуса', '{font-size: 26px;}' );

// добавляем данные на график
$g->set_data( $data );
// строим гистограмму
$g->bar( 100, '#9933CC', 'Гистограмма', 10 );

// еще раз добавляем теже самые данные
$g->set_data( $data );
// строим второй график
$g->line_dot( 3, 5, '#CC3399', 'График', 10 );

// подписи по оси Х
$labelsX = array();
for ($i = 0; $i < 10; $i++) {
    $labelsX[] = round(pi()/5*$i, 2);
}
$g->set_x_labels($labelsX);

// максимальное и минимальное значение по оси Y
$g->set_y_max( 1.2 );
$g->set_y_min( -1.2 );
// количество меток по оси Y
$g->y_label_steps( 12 );

// отображаем данные
echo $g->render();
?>
